{
  "openapi": "3.0.3",
  "info": {
    "title": "Provet REST API",
    "version": "0.1"
  },
  "paths": {
    "/accountingreport/": {
      "get": {
        "operationId": "accountingreport_list",
        "description": "Required permissions:\n- Financial: End of day and accounting reports\n\n\nThis endpoint is rate-limited to 100 requests per minute.",
        "parameters": [
          {
            "name": "page",
            "required": false,
            "in": "query",
            "description": "A page number within the paginated result set.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "name": "page_size",
            "required": false,
            "in": "query",
            "description": "Number of results to return per page.",
            "schema": {
              "type": "integer"
            }
          }
        ],
        "tags": [
          "Accounting reports"
        ],
        "security": [
          {
            "oauth2": []
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/PaginatedAccountingReportList"
                }
              },
              "text/html": {
                "schema": {
                  "$ref": "#/components/schemas/PaginatedAccountingReportList"
                }
              }
            },
            "description": ""
          }
        },
        "summary": "List Accountingreport"
      }
    },
    "/accountingreport/{id}/": {
      "get": {
        "operationId": "accountingreport_retrieve",
        "description": "Required permissions:\n- Financial: End of day and accounting reports\n\n\nThis endpoint is rate-limited to 300 requests per minute.",
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "schema": {
              "type": "integer"
            },
            "description": "A unique integer value identifying this cash report accounting.",
            "required": true
          }
        ],
        "tags": [
          "Accounting reports"
        ],
        "security": [
          {
            "oauth2": []
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AccountingReportDetail"
                }
              },
              "text/html": {
                "schema": {
                  "$ref": "#/components/schemas/AccountingReportDetail"
                }
              }
            },
            "description": ""
          }
        },
        "summary": "Get Accountingreport"
      }
    },
    "/accountnumber/": {
      "get": {
        "operationId": "accountnumber_list",
        "description": "Required permissions:\n- Financial: Invoices\n\n\nThis endpoint is rate-limited to 100 requests per minute.",
        "parameters": [
          {
            "name": "page",
            "required": false,
            "in": "query",
            "description": "A page number within the paginated result set.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "name": "page_size",
            "required": false,
            "in": "query",
            "description": "Number of results to return per page.",
            "schema": {
              "type": "integer"
            }
          }
        ],
        "tags": [
          "Account numbers"
        ],
        "security": [
          {
            "oauth2": []
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/PaginatedAccountNumberList"
                }
              },
              "text/html": {
                "schema": {
                  "$ref": "#/components/schemas/PaginatedAccountNumberList"
                }
              }
            },
            "description": ""
          }
        },
        "summary": "List Accountnumber"
      },
      "post": {
        "operationId": "accountnumber_create",
        "description": "Create Account Number\n\nDeduplicates on the combination of `number`, `description`, and\n`department`: if an Account Number already exists with the same\nvalues for all three, that existing record is returned (and\nunarchived, if it was archived) instead of creating a new one. A\ndifferent `description` or `department` for the same `number` is\nnot treated as a duplicate and creates a separate Account Number.\n\nRequired permissions:\n- Financial: Invoices\n\n\nThis endpoint is rate-limited to 300 requests per minute.",
        "parameters": [],
        "tags": [
          "Account numbers"
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/AccountNumberRequest"
              }
            },
            "application/x-www-form-urlencoded": {
              "schema": {
                "$ref": "#/components/schemas/AccountNumberRequest"
              }
            },
            "multipart/form-data": {
              "schema": {
                "$ref": "#/components/schemas/AccountNumberRequest"
              }
            }
          },
          "required": true
        },
        "security": [
          {
            "oauth2": []
          }
        ],
        "responses": {
          "201": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AccountNumber"
                }
              },
              "text/html": {
                "schema": {
                  "$ref": "#/components/schemas/AccountNumber"
                }
              }
            },
            "description": ""
          }
        },
        "summary": "Create Accountnumber"
      }
    },
    "/accountnumber/{id}/": {
      "get": {
        "operationId": "accountnumber_retrieve",
        "description": "Required permissions:\n- Financial: Invoices\n\n\nThis endpoint is rate-limited to 300 requests per minute.",
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "schema": {
              "type": "integer"
            },
            "description": "A unique integer value identifying this account number.",
            "required": true
          }
        ],
        "tags": [
          "Account numbers"
        ],
        "security": [
          {
            "oauth2": []
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AccountNumber"
                }
              },
              "text/html": {
                "schema": {
                  "$ref": "#/components/schemas/AccountNumber"
                }
              }
            },
            "description": ""
          }
        },
        "summary": "Get Accountnumber"
      },
      "put": {
        "operationId": "accountnumber_update",
        "description": "Required permissions:\n- Financial: Invoices\n\n\nThis endpoint is rate-limited to 300 requests per minute.",
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "schema": {
              "type": "integer"
            },
            "description": "A unique integer value identifying this account number.",
            "required": true
          }
        ],
        "tags": [
          "Account numbers"
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/AccountNumberRequest"
              }
            },
            "application/x-www-form-urlencoded": {
              "schema": {
                "$ref": "#/components/schemas/AccountNumberRequest"
              }
            },
            "multipart/form-data": {
              "schema": {
                "$ref": "#/components/schemas/AccountNumberRequest"
              }
            }
          },
          "required": true
        },
        "security": [
          {
            "oauth2": []
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AccountNumber"
                }
              },
              "text/html": {
                "schema": {
                  "$ref": "#/components/schemas/AccountNumber"
                }
              }
            },
            "description": ""
          }
        },
        "summary": "Update Accountnumber"
      },
      "patch": {
        "operationId": "accountnumber_partial_update",
        "description": "Required permissions:\n- Financial: Invoices\n\n\nThis endpoint is rate-limited to 300 requests per minute.",
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "schema": {
              "type": "integer"
            },
            "description": "A unique integer value identifying this account number.",
            "required": true
          }
        ],
        "tags": [
          "Account numbers"
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/PatchedAccountNumberRequest"
              }
            },
            "application/x-www-form-urlencoded": {
              "schema": {
                "$ref": "#/components/schemas/PatchedAccountNumberRequest"
              }
            },
            "multipart/form-data": {
              "schema": {
                "$ref": "#/components/schemas/PatchedAccountNumberRequest"
              }
            }
          }
        },
        "security": [
          {
            "oauth2": []
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AccountNumber"
                }
              },
              "text/html": {
                "schema": {
                  "$ref": "#/components/schemas/AccountNumber"
                }
              }
            },
            "description": ""
          }
        },
        "summary": "Patch Accountnumber"
      }
    },
    "/alternative_payer/": {
      "get": {
        "operationId": "alternative_payer_list",
        "description": "Required permissions:\n- General: Patients and clients\n\n\nThis endpoint is rate-limited to 100 requests per minute.",
        "parameters": [
          {
            "name": "page",
            "required": false,
            "in": "query",
            "description": "A page number within the paginated result set.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "name": "page_size",
            "required": false,
            "in": "query",
            "description": "Number of results to return per page.",
            "schema": {
              "type": "integer"
            }
          }
        ],
        "tags": [
          "Alternative payers"
        ],
        "security": [
          {
            "oauth2": []
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/PaginatedAlternativePayerList"
                }
              },
              "text/html": {
                "schema": {
                  "$ref": "#/components/schemas/PaginatedAlternativePayerList"
                }
              }
            },
            "description": ""
          }
        },
        "summary": "List Alternative Payer"
      },
      "post": {
        "operationId": "alternative_payer_create",
        "description": "Required permissions:\n- General: Patients and clients\n\n\nThis endpoint is rate-limited to 300 requests per minute.",
        "parameters": [],
        "tags": [
          "Alternative payers"
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/AlternativePayerRequest"
              }
            },
            "application/x-www-form-urlencoded": {
              "schema": {
                "$ref": "#/components/schemas/AlternativePayerRequest"
              }
            },
            "multipart/form-data": {
              "schema": {
                "$ref": "#/components/schemas/AlternativePayerRequest"
              }
            }
          }
        },
        "security": [
          {
            "oauth2": []
          }
        ],
        "responses": {
          "201": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AlternativePayer"
                }
              },
              "text/html": {
                "schema": {
                  "$ref": "#/components/schemas/AlternativePayer"
                }
              }
            },
            "description": ""
          }
        },
        "summary": "Create Alternative Payer"
      }
    },
    "/alternative_payer/{id}/": {
      "get": {
        "operationId": "alternative_payer_retrieve",
        "description": "Required permissions:\n- General: Patients and clients\n\n\nThis endpoint is rate-limited to 300 requests per minute.",
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "schema": {
              "type": "integer"
            },
            "description": "A unique integer value identifying this alternative payer.",
            "required": true
          }
        ],
        "tags": [
          "Alternative payers"
        ],
        "security": [
          {
            "oauth2": []
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AlternativePayer"
                }
              },
              "text/html": {
                "schema": {
                  "$ref": "#/components/schemas/AlternativePayer"
                }
              }
            },
            "description": ""
          }
        },
        "summary": "Get Alternative Payer"
      },
      "put": {
        "operationId": "alternative_payer_update",
        "description": "Required permissions:\n- General: Patients and clients\n\n\nThis endpoint is rate-limited to 300 requests per minute.",
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "schema": {
              "type": "integer"
            },
            "description": "A unique integer value identifying this alternative payer.",
            "required": true
          }
        ],
        "tags": [
          "Alternative payers"
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/AlternativePayerRequest"
              }
            },
            "application/x-www-form-urlencoded": {
              "schema": {
                "$ref": "#/components/schemas/AlternativePayerRequest"
              }
            },
            "multipart/form-data": {
              "schema": {
                "$ref": "#/components/schemas/AlternativePayerRequest"
              }
            }
          }
        },
        "security": [
          {
            "oauth2": []
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AlternativePayer"
                }
              },
              "text/html": {
                "schema": {
                  "$ref": "#/components/schemas/AlternativePayer"
                }
              }
            },
            "description": ""
          }
        },
        "summary": "Update Alternative Payer"
      },
      "patch": {
        "operationId": "alternative_payer_partial_update",
        "description": "Required permissions:\n- General: Patients and clients\n\n\nThis endpoint is rate-limited to 300 requests per minute.",
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "schema": {
              "type": "integer"
            },
            "description": "A unique integer value identifying this alternative payer.",
            "required": true
          }
        ],
        "tags": [
          "Alternative payers"
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/PatchedAlternativePayerRequest"
              }
            },
            "application/x-www-form-urlencoded": {
              "schema": {
                "$ref": "#/components/schemas/PatchedAlternativePayerRequest"
              }
            },
            "multipart/form-data": {
              "schema": {
                "$ref": "#/components/schemas/PatchedAlternativePayerRequest"
              }
            }
          }
        },
        "security": [
          {
            "oauth2": []
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AlternativePayer"
                }
              },
              "text/html": {
                "schema": {
                  "$ref": "#/components/schemas/AlternativePayer"
                }
              }
            },
            "description": ""
          }
        },
        "summary": "Patch Alternative Payer"
      },
      "delete": {
        "operationId": "alternative_payer_destroy",
        "description": "Required permissions:\n- General: Patients and clients\n\n\nThis endpoint is rate-limited to 300 requests per minute.",
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "schema": {
              "type": "integer"
            },
            "description": "A unique integer value identifying this alternative payer.",
            "required": true
          }
        ],
        "tags": [
          "Alternative payers"
        ],
        "security": [
          {
            "oauth2": []
          }
        ],
        "responses": {
          "204": {
            "description": "No response body"
          }
        },
        "summary": "Delete Alternative Payer"
      }
    },
    "/alternativepricing/": {
      "get": {
        "operationId": "alternativepricing_list",
        "description": "Required permissions:\n- Settings: Items\n\n\nThis endpoint is rate-limited to 100 requests per minute.",
        "parameters": [
          {
            "name": "page",
            "required": false,
            "in": "query",
            "description": "A page number within the paginated result set.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "name": "page_size",
            "required": false,
            "in": "query",
            "description": "Number of results to return per page.",
            "schema": {
              "type": "integer"
            }
          }
        ],
        "tags": [
          "Alternative pricings"
        ],
        "security": [
          {
            "oauth2": []
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/PaginatedAlternativePricingList"
                }
              },
              "text/html": {
                "schema": {
                  "$ref": "#/components/schemas/PaginatedAlternativePricingList"
                }
              }
            },
            "description": ""
          }
        },
        "summary": "List Alternativepricing"
      },
      "post": {
        "operationId": "alternativepricing_create",
        "description": "Required permissions:\n- Settings: Items\n\n\nThis endpoint is rate-limited to 300 requests per minute.",
        "parameters": [],
        "tags": [
          "Alternative pricings"
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/AlternativePricingRequest"
              }
            },
            "application/x-www-form-urlencoded": {
              "schema": {
                "$ref": "#/components/schemas/AlternativePricingRequest"
              }
            },
            "multipart/form-data": {
              "schema": {
                "$ref": "#/components/schemas/AlternativePricingRequest"
              }
            }
          },
          "required": true
        },
        "security": [
          {
            "oauth2": []
          }
        ],
        "responses": {
          "201": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AlternativePricing"
                }
              },
              "text/html": {
                "schema": {
                  "$ref": "#/components/schemas/AlternativePricing"
                }
              }
            },
            "description": ""
          }
        },
        "summary": "Create Alternativepricing"
      }
    },
    "/alternativepricing/{id}/": {
      "get": {
        "operationId": "alternativepricing_retrieve",
        "description": "Required permissions:\n- Settings: Items\n\n\nThis endpoint is rate-limited to 300 requests per minute.",
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "schema": {
              "type": "integer"
            },
            "description": "A unique integer value identifying this alternative pricing.",
            "required": true
          }
        ],
        "tags": [
          "Alternative pricings"
        ],
        "security": [
          {
            "oauth2": []
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AlternativePricing"
                }
              },
              "text/html": {
                "schema": {
                  "$ref": "#/components/schemas/AlternativePricing"
                }
              }
            },
            "description": ""
          }
        },
        "summary": "Get Alternativepricing"
      },
      "put": {
        "operationId": "alternativepricing_update",
        "description": "Required permissions:\n- Settings: Items\n\n\nThis endpoint is rate-limited to 300 requests per minute.",
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "schema": {
              "type": "integer"
            },
            "description": "A unique integer value identifying this alternative pricing.",
            "required": true
          }
        ],
        "tags": [
          "Alternative pricings"
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/AlternativePricingRequest"
              }
            },
            "application/x-www-form-urlencoded": {
              "schema": {
                "$ref": "#/components/schemas/AlternativePricingRequest"
              }
            },
            "multipart/form-data": {
              "schema": {
                "$ref": "#/components/schemas/AlternativePricingRequest"
              }
            }
          },
          "required": true
        },
        "security": [
          {
            "oauth2": []
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AlternativePricing"
                }
              },
              "text/html": {
                "schema": {
                  "$ref": "#/components/schemas/AlternativePricing"
                }
              }
            },
            "description": ""
          }
        },
        "summary": "Update Alternativepricing"
      },
      "patch": {
        "operationId": "alternativepricing_partial_update",
        "description": "Required permissions:\n- Settings: Items\n\n\nThis endpoint is rate-limited to 300 requests per minute.",
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "schema": {
              "type": "integer"
            },
            "description": "A unique integer value identifying this alternative pricing.",
            "required": true
          }
        ],
        "tags": [
          "Alternative pricings"
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/PatchedAlternativePricingRequest"
              }
            },
            "application/x-www-form-urlencoded": {
              "schema": {
                "$ref": "#/components/schemas/PatchedAlternativePricingRequest"
              }
            },
            "multipart/form-data": {
              "schema": {
                "$ref": "#/components/schemas/PatchedAlternativePricingRequest"
              }
            }
          }
        },
        "security": [
          {
            "oauth2": []
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AlternativePricing"
                }
              },
              "text/html": {
                "schema": {
                  "$ref": "#/components/schemas/AlternativePricing"
                }
              }
            },
            "description": ""
          }
        },
        "summary": "Patch Alternativepricing"
      },
      "delete": {
        "operationId": "alternativepricing_destroy",
        "description": "Required permissions:\n- Settings: Items\n\n\nThis endpoint is rate-limited to 300 requests per minute.",
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "schema": {
              "type": "integer"
            },
            "description": "A unique integer value identifying this alternative pricing.",
            "required": true
          }
        ],
        "tags": [
          "Alternative pricings"
        ],
        "security": [
          {
            "oauth2": []
          }
        ],
        "responses": {
          "204": {
            "description": "No response body"
          }
        },
        "summary": "Delete Alternativepricing"
      }
    },
    "/antibiotic/": {
      "get": {
        "operationId": "antibiotic_list",
        "description": "Required permissions:\n- Settings: Items\n\n\nThis endpoint is rate-limited to 100 requests per minute.",
        "parameters": [
          {
            "in": "query",
            "name": "archived__is",
            "schema": {
              "type": "string"
            },
            "description": "Exact match"
          },
          {
            "in": "query",
            "name": "archived__is_not",
            "schema": {
              "type": "string"
            },
            "description": "Exclude exact match"
          },
          {
            "name": "page",
            "required": false,
            "in": "query",
            "description": "A page number within the paginated result set.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "name": "page_size",
            "required": false,
            "in": "query",
            "description": "Number of results to return per page.",
            "schema": {
              "type": "integer"
            }
          }
        ],
        "tags": [
          "Antibiotics"
        ],
        "security": [
          {
            "oauth2": []
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/PaginatedAntibioticList"
                }
              },
              "text/html": {
                "schema": {
                  "$ref": "#/components/schemas/PaginatedAntibioticList"
                }
              }
            },
            "description": ""
          }
        },
        "summary": "List Antibiotic"
      }
    },
    "/antibiotic/{id}/": {
      "get": {
        "operationId": "antibiotic_retrieve",
        "description": "Required permissions:\n- Settings: Items\n\n\nThis endpoint is rate-limited to 300 requests per minute.",
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "schema": {
              "type": "integer"
            },
            "description": "A unique integer value identifying this antibiotic.",
            "required": true
          }
        ],
        "tags": [
          "Antibiotics"
        ],
        "security": [
          {
            "oauth2": []
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Antibiotic"
                }
              },
              "text/html": {
                "schema": {
                  "$ref": "#/components/schemas/Antibiotic"
                }
              }
            },
            "description": ""
          }
        },
        "summary": "Get Antibiotic"
      }
    },
    "/antibioticpanel/": {
      "get": {
        "operationId": "antibioticpanel_list",
        "description": "Required permissions:\n- Settings: Items\n\n\nThis endpoint is rate-limited to 100 requests per minute.",
        "parameters": [
          {
            "in": "query",
            "name": "archived__is",
            "schema": {
              "type": "string"
            },
            "description": "Exact match"
          },
          {
            "in": "query",
            "name": "archived__is_not",
            "schema": {
              "type": "string"
            },
            "description": "Exclude exact match"
          },
          {
            "name": "page",
            "required": false,
            "in": "query",
            "description": "A page number within the paginated result set.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "name": "page_size",
            "required": false,
            "in": "query",
            "description": "Number of results to return per page.",
            "schema": {
              "type": "integer"
            }
          }
        ],
        "tags": [
          "Antibiotics"
        ],
        "security": [
          {
            "oauth2": []
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/PaginatedAntibioticPanelList"
                }
              },
              "text/html": {
                "schema": {
                  "$ref": "#/components/schemas/PaginatedAntibioticPanelList"
                }
              }
            },
            "description": ""
          }
        },
        "summary": "List Antibioticpanel"
      }
    },
    "/antibioticpanel/{id}/": {
      "get": {
        "operationId": "antibioticpanel_retrieve",
        "description": "Required permissions:\n- Settings: Items\n\n\nThis endpoint is rate-limited to 300 requests per minute.",
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "schema": {
              "type": "integer"
            },
            "description": "A unique integer value identifying this antibiotic panel.",
            "required": true
          }
        ],
        "tags": [
          "Antibiotics"
        ],
        "security": [
          {
            "oauth2": []
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AntibioticPanel"
                }
              },
              "text/html": {
                "schema": {
                  "$ref": "#/components/schemas/AntibioticPanel"
                }
              }
            },
            "description": ""
          }
        },
        "summary": "Get Antibioticpanel"
      }
    },
    "/appointment/": {
      "get": {
        "operationId": "appointment_list",
        "description": "List Appointments\n\nType values:\n- TYPE_CONSULTATION = 1\n- TYPE_ONLINE_BOOKING = 2\n- TYPE_OTHER = 3\n\nQuery Parameters:\n- include_shared_wards (bool): When true and department filter is set,\n  includes appointments from other departments that use wards shared\n  with the filtered department.\n\nRequired permissions:\n- Calendar: Appointments\n\n\nThis endpoint is rate-limited to 300 requests per minute.",
        "parameters": [
          {
            "in": "query",
            "name": "active__is",
            "schema": {
              "type": "string"
            },
            "description": "Exact match"
          },
          {
            "in": "query",
            "name": "active__is_not",
            "schema": {
              "type": "string"
            },
            "description": "Exclude exact match"
          },
          {
            "in": "query",
            "name": "additional_users__in",
            "schema": {
              "type": "string"
            },
            "description": "Comma-separated list of values"
          },
          {
            "in": "query",
            "name": "additional_users__not_in",
            "schema": {
              "type": "string"
            },
            "description": "Exclude comma-separated list of values"
          },
          {
            "in": "query",
            "name": "client__in",
            "schema": {
              "type": "string"
            },
            "description": "Comma-separated list of values"
          },
          {
            "in": "query",
            "name": "client__is",
            "schema": {
              "type": "string"
            },
            "description": "Exact match"
          },
          {
            "in": "query",
            "name": "client__is_not",
            "schema": {
              "type": "string"
            },
            "description": "Exclude exact match"
          },
          {
            "in": "query",
            "name": "client__is_null",
            "schema": {
              "type": "boolean"
            },
            "description": "Is null"
          },
          {
            "in": "query",
            "name": "client__not_in",
            "schema": {
              "type": "string"
            },
            "description": "Exclude comma-separated list of values"
          },
          {
            "in": "query",
            "name": "complaint_type__in",
            "schema": {
              "type": "string"
            },
            "description": "Comma-separated list of values"
          },
          {
            "in": "query",
            "name": "complaint_type__is",
            "schema": {
              "type": "string"
            },
            "description": "Exact match"
          },
          {
            "in": "query",
            "name": "complaint_type__is_not",
            "schema": {
              "type": "string"
            },
            "description": "Exclude exact match"
          },
          {
            "in": "query",
            "name": "complaint_type__is_null",
            "schema": {
              "type": "boolean"
            },
            "description": "Is null"
          },
          {
            "in": "query",
            "name": "complaint_type__not_in",
            "schema": {
              "type": "string"
            },
            "description": "Exclude comma-separated list of values"
          },
          {
            "in": "query",
            "name": "created__gt",
            "schema": {
              "type": "string"
            },
            "description": "Greater than"
          },
          {
            "in": "query",
            "name": "created__gte",
            "schema": {
              "type": "string"
            },
            "description": "Greater than or equal"
          },
          {
            "in": "query",
            "name": "created__is",
            "schema": {
              "type": "string"
            },
            "description": "Exact match"
          },
          {
            "in": "query",
            "name": "created__is_not",
            "schema": {
              "type": "string"
            },
            "description": "Exclude exact match"
          },
          {
            "in": "query",
            "name": "created__lt",
            "schema": {
              "type": "string"
            },
            "description": "Less than"
          },
          {
            "in": "query",
            "name": "created__lte",
            "schema": {
              "type": "string"
            },
            "description": "Less than or equal"
          },
          {
            "in": "query",
            "name": "created__not_in_range",
            "schema": {
              "type": "string"
            },
            "description": "Exclude range (comma-separated min,max)"
          },
          {
            "in": "query",
            "name": "created__range",
            "schema": {
              "type": "string"
            },
            "description": "Range (comma-separated min,max)"
          },
          {
            "in": "query",
            "name": "department__eq",
            "schema": {
              "type": "string"
            },
            "description": "eq filter on department"
          },
          {
            "in": "query",
            "name": "department__neq",
            "schema": {
              "type": "string"
            },
            "description": "neq filter on department"
          },
          {
            "in": "query",
            "name": "end__eq",
            "schema": {
              "type": "string"
            },
            "description": "eq filter on end"
          },
          {
            "in": "query",
            "name": "end__gt",
            "schema": {
              "type": "string"
            },
            "description": "Greater than"
          },
          {
            "in": "query",
            "name": "end__gte",
            "schema": {
              "type": "string"
            },
            "description": "Greater than or equal"
          },
          {
            "in": "query",
            "name": "end__in",
            "schema": {
              "type": "string"
            },
            "description": "Comma-separated list of values"
          },
          {
            "in": "query",
            "name": "end__lt",
            "schema": {
              "type": "string"
            },
            "description": "Less than"
          },
          {
            "in": "query",
            "name": "end__lte",
            "schema": {
              "type": "string"
            },
            "description": "Less than or equal"
          },
          {
            "in": "query",
            "name": "end__neq",
            "schema": {
              "type": "string"
            },
            "description": "neq filter on end"
          },
          {
            "in": "query",
            "name": "end__not_in",
            "schema": {
              "type": "string"
            },
            "description": "Exclude comma-separated list of values"
          },
          {
            "in": "query",
            "name": "end__not_in_range",
            "schema": {
              "type": "string"
            },
            "description": "Exclude range (comma-separated min,max)"
          },
          {
            "in": "query",
            "name": "end__range",
            "schema": {
              "type": "string"
            },
            "description": "Range (comma-separated min,max)"
          },
          {
            "in": "query",
            "name": "id__eq",
            "schema": {
              "type": "string"
            },
            "description": "eq filter on id"
          },
          {
            "in": "query",
            "name": "id__neq",
            "schema": {
              "type": "string"
            },
            "description": "neq filter on id"
          },
          {
            "in": "query",
            "name": "invoice_extras__in",
            "schema": {
              "type": "string"
            },
            "description": "Comma-separated list of values"
          },
          {
            "in": "query",
            "name": "invoice_extras__is",
            "schema": {
              "type": "string"
            },
            "description": "Exact match"
          },
          {
            "in": "query",
            "name": "invoice_extras__is_not",
            "schema": {
              "type": "string"
            },
            "description": "Exclude exact match"
          },
          {
            "in": "query",
            "name": "invoice_extras__is_null",
            "schema": {
              "type": "boolean"
            },
            "description": "Is null"
          },
          {
            "in": "query",
            "name": "invoice_extras__not_in",
            "schema": {
              "type": "string"
            },
            "description": "Exclude comma-separated list of values"
          },
          {
            "in": "query",
            "name": "modified__gt",
            "schema": {
              "type": "string"
            },
            "description": "Greater than"
          },
          {
            "in": "query",
            "name": "modified__gte",
            "schema": {
              "type": "string"
            },
            "description": "Greater than or equal"
          },
          {
            "in": "query",
            "name": "modified__in",
            "schema": {
              "type": "string"
            },
            "description": "Comma-separated list of values"
          },
          {
            "in": "query",
            "name": "modified__is",
            "schema": {
              "type": "string"
            },
            "description": "Exact match"
          },
          {
            "in": "query",
            "name": "modified__is_not",
            "schema": {
              "type": "string"
            },
            "description": "Exclude exact match"
          },
          {
            "in": "query",
            "name": "modified__lt",
            "schema": {
              "type": "string"
            },
            "description": "Less than"
          },
          {
            "in": "query",
            "name": "modified__lte",
            "schema": {
              "type": "string"
            },
            "description": "Less than or equal"
          },
          {
            "in": "query",
            "name": "modified__not_in",
            "schema": {
              "type": "string"
            },
            "description": "Exclude comma-separated list of values"
          },
          {
            "in": "query",
            "name": "modified__not_in_range",
            "schema": {
              "type": "string"
            },
            "description": "Exclude range (comma-separated min,max)"
          },
          {
            "in": "query",
            "name": "modified__range",
            "schema": {
              "type": "string"
            },
            "description": "Range (comma-separated min,max)"
          },
          {
            "in": "query",
            "name": "no_show__is",
            "schema": {
              "type": "string"
            },
            "description": "Exact match"
          },
          {
            "in": "query",
            "name": "no_show__is_not",
            "schema": {
              "type": "string"
            },
            "description": "Exclude exact match"
          },
          {
            "name": "ordering",
            "required": false,
            "in": "query",
            "description": "Which field to use when ordering the results.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "page",
            "required": false,
            "in": "query",
            "description": "A page number within the paginated result set.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "name": "page_size",
            "required": false,
            "in": "query",
            "description": "Number of results to return per page.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "in": "query",
            "name": "patients__in",
            "schema": {
              "type": "string"
            },
            "description": "Comma-separated list of values"
          },
          {
            "in": "query",
            "name": "patients__is",
            "schema": {
              "type": "string"
            },
            "description": "Exact match"
          },
          {
            "in": "query",
            "name": "patients__is_not",
            "schema": {
              "type": "string"
            },
            "description": "Exclude exact match"
          },
          {
            "in": "query",
            "name": "patients__is_null",
            "schema": {
              "type": "boolean"
            },
            "description": "Is null"
          },
          {
            "in": "query",
            "name": "patients__not_in",
            "schema": {
              "type": "string"
            },
            "description": "Exclude comma-separated list of values"
          },
          {
            "in": "query",
            "name": "related_shifts__gt",
            "schema": {
              "type": "string"
            },
            "description": "Greater than"
          },
          {
            "in": "query",
            "name": "related_shifts__gte",
            "schema": {
              "type": "string"
            },
            "description": "Greater than or equal"
          },
          {
            "in": "query",
            "name": "related_shifts__in",
            "schema": {
              "type": "string"
            },
            "description": "Comma-separated list of values"
          },
          {
            "in": "query",
            "name": "related_shifts__is",
            "schema": {
              "type": "string"
            },
            "description": "Exact match"
          },
          {
            "in": "query",
            "name": "related_shifts__is_not",
            "schema": {
              "type": "string"
            },
            "description": "Exclude exact match"
          },
          {
            "in": "query",
            "name": "related_shifts__is_null",
            "schema": {
              "type": "boolean"
            },
            "description": "Is null"
          },
          {
            "in": "query",
            "name": "related_shifts__lt",
            "schema": {
              "type": "string"
            },
            "description": "Less than"
          },
          {
            "in": "query",
            "name": "related_shifts__lte",
            "schema": {
              "type": "string"
            },
            "description": "Less than or equal"
          },
          {
            "in": "query",
            "name": "related_shifts__not_in",
            "schema": {
              "type": "string"
            },
            "description": "Exclude comma-separated list of values"
          },
          {
            "in": "query",
            "name": "related_shifts__not_in_range",
            "schema": {
              "type": "string"
            },
            "description": "Exclude range (comma-separated min,max)"
          },
          {
            "in": "query",
            "name": "related_shifts__range",
            "schema": {
              "type": "string"
            },
            "description": "Range (comma-separated min,max)"
          },
          {
            "in": "query",
            "name": "request_hash__in",
            "schema": {
              "type": "string"
            },
            "description": "Comma-separated list of values"
          },
          {
            "in": "query",
            "name": "request_hash__is",
            "schema": {
              "type": "string"
            },
            "description": "Exact match"
          },
          {
            "in": "query",
            "name": "request_hash__is_not",
            "schema": {
              "type": "string"
            },
            "description": "Exclude exact match"
          },
          {
            "in": "query",
            "name": "request_hash__is_null",
            "schema": {
              "type": "boolean"
            },
            "description": "Is null"
          },
          {
            "in": "query",
            "name": "request_hash__not_in",
            "schema": {
              "type": "string"
            },
            "description": "Exclude comma-separated list of values"
          },
          {
            "in": "query",
            "name": "resources__in",
            "schema": {
              "type": "string"
            },
            "description": "Comma-separated list of values"
          },
          {
            "in": "query",
            "name": "resources__is_null",
            "schema": {
              "type": "boolean"
            },
            "description": "Is null"
          },
          {
            "in": "query",
            "name": "resources__not_in",
            "schema": {
              "type": "string"
            },
            "description": "Exclude comma-separated list of values"
          },
          {
            "in": "query",
            "name": "start__eq",
            "schema": {
              "type": "string"
            },
            "description": "eq filter on start"
          },
          {
            "in": "query",
            "name": "start__gt",
            "schema": {
              "type": "string"
            },
            "description": "Greater than"
          },
          {
            "in": "query",
            "name": "start__gte",
            "schema": {
              "type": "string"
            },
            "description": "Greater than or equal"
          },
          {
            "in": "query",
            "name": "start__in",
            "schema": {
              "type": "string"
            },
            "description": "Comma-separated list of values"
          },
          {
            "in": "query",
            "name": "start__lt",
            "schema": {
              "type": "string"
            },
            "description": "Less than"
          },
          {
            "in": "query",
            "name": "start__lte",
            "schema": {
              "type": "string"
            },
            "description": "Less than or equal"
          },
          {
            "in": "query",
            "name": "start__neq",
            "schema": {
              "type": "string"
            },
            "description": "neq filter on start"
          },
          {
            "in": "query",
            "name": "start__not_in",
            "schema": {
              "type": "string"
            },
            "description": "Exclude comma-separated list of values"
          },
          {
            "in": "query",
            "name": "start__not_in_range",
            "schema": {
              "type": "string"
            },
            "description": "Exclude range (comma-separated min,max)"
          },
          {
            "in": "query",
            "name": "start__range",
            "schema": {
              "type": "string"
            },
            "description": "Range (comma-separated min,max)"
          },
          {
            "in": "query",
            "name": "telemedicine_room__in",
            "schema": {
              "type": "string"
            },
            "description": "Comma-separated list of values"
          },
          {
            "in": "query",
            "name": "telemedicine_room__is",
            "schema": {
              "type": "string"
            },
            "description": "Exact match"
          },
          {
            "in": "query",
            "name": "telemedicine_room__is_not",
            "schema": {
              "type": "string"
            },
            "description": "Exclude exact match"
          },
          {
            "in": "query",
            "name": "telemedicine_room__is_null",
            "schema": {
              "type": "boolean"
            },
            "description": "Is null"
          },
          {
            "in": "query",
            "name": "telemedicine_room__not_in",
            "schema": {
              "type": "string"
            },
            "description": "Exclude comma-separated list of values"
          },
          {
            "in": "query",
            "name": "type__gt",
            "schema": {
              "type": "string"
            },
            "description": "Greater than"
          },
          {
            "in": "query",
            "name": "type__gte",
            "schema": {
              "type": "string"
            },
            "description": "Greater than or equal"
          },
          {
            "in": "query",
            "name": "type__in",
            "schema": {
              "type": "string"
            },
            "description": "Comma-separated list of values"
          },
          {
            "in": "query",
            "name": "type__is",
            "schema": {
              "type": "string"
            },
            "description": "Exact match"
          },
          {
            "in": "query",
            "name": "type__is_not",
            "schema": {
              "type": "string"
            },
            "description": "Exclude exact match"
          },
          {
            "in": "query",
            "name": "type__lt",
            "schema": {
              "type": "string"
            },
            "description": "Less than"
          },
          {
            "in": "query",
            "name": "type__lte",
            "schema": {
              "type": "string"
            },
            "description": "Less than or equal"
          },
          {
            "in": "query",
            "name": "type__not_in",
            "schema": {
              "type": "string"
            },
            "description": "Exclude comma-separated list of values"
          },
          {
            "in": "query",
            "name": "type__not_in_range",
            "schema": {
              "type": "string"
            },
            "description": "Exclude range (comma-separated min,max)"
          },
          {
            "in": "query",
            "name": "type__range",
            "schema": {
              "type": "string"
            },
            "description": "Range (comma-separated min,max)"
          },
          {
            "in": "query",
            "name": "user__eq",
            "schema": {
              "type": "string"
            },
            "description": "eq filter on user"
          },
          {
            "in": "query",
            "name": "user__neq",
            "schema": {
              "type": "string"
            },
            "description": "neq filter on user"
          }
        ],
        "tags": [
          "Appointments"
        ],
        "security": [
          {
            "oauth2": []
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/PaginatedAppointmentDetailList"
                }
              },
              "text/html": {
                "schema": {
                  "$ref": "#/components/schemas/PaginatedAppointmentDetailList"
                }
              }
            },
            "description": ""
          }
        },
        "summary": "List Appointment"
      },
      "post": {
        "operationId": "appointment_create",
        "description": "Create new Appointment\n\nParameters:\n    - allow_double_booking (bool) - If set to false, or not provided,\n    creating double bookings will not be permitted.\n\nRequired permissions:\n- Calendar: Appointments\n\n\nThis endpoint is rate-limited to 500 requests per minute.",
        "parameters": [],
        "tags": [
          "Appointments"
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/AppointmentCreateRequest"
              }
            },
            "application/x-www-form-urlencoded": {
              "schema": {
                "$ref": "#/components/schemas/AppointmentCreateRequest"
              }
            },
            "multipart/form-data": {
              "schema": {
                "$ref": "#/components/schemas/AppointmentCreateRequest"
              }
            }
          },
          "required": true
        },
        "security": [
          {
            "oauth2": []
          }
        ],
        "responses": {
          "201": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AppointmentCreate"
                }
              },
              "text/html": {
                "schema": {
                  "$ref": "#/components/schemas/AppointmentCreate"
                }
              }
            },
            "description": ""
          }
        },
        "summary": "Create Appointment"
      }
    },
    "/appointment/{parent_lookup_appointment}/multi_upload/": {
      "post": {
        "operationId": "appointment_multi_upload_create",
        "description": "Upload multiple files to Appointment\n\nMaximum of five (5) files can be uploaded in a single request.\n\nRequired permissions:\n- Calendar: Appointments\n\n\nThis endpoint is rate-limited to 300 requests per minute.",
        "parameters": [
          {
            "in": "path",
            "name": "parent_lookup_appointment",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "tags": [
          "Appointments"
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/AppointmentMultiUploadRequest"
              }
            },
            "application/x-www-form-urlencoded": {
              "schema": {
                "$ref": "#/components/schemas/AppointmentMultiUploadRequest"
              }
            },
            "multipart/form-data": {
              "schema": {
                "$ref": "#/components/schemas/AppointmentMultiUploadRequest"
              }
            }
          }
        },
        "security": [
          {
            "oauth2": []
          }
        ],
        "responses": {
          "201": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AppointmentMultiUpload"
                }
              },
              "text/html": {
                "schema": {
                  "$ref": "#/components/schemas/AppointmentMultiUpload"
                }
              }
            },
            "description": ""
          }
        },
        "summary": "Create Appointment Multi Upload"
      }
    },
    "/appointment/{parent_lookup_appointment}/upload/": {
      "get": {
        "operationId": "appointment_upload_list",
        "description": "Required permissions:\n- Calendar: Appointments\n\n\nThis endpoint is rate-limited to 100 requests per minute.",
        "parameters": [
          {
            "name": "page",
            "required": false,
            "in": "query",
            "description": "A page number within the paginated result set.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "name": "page_size",
            "required": false,
            "in": "query",
            "description": "Number of results to return per page.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "in": "path",
            "name": "parent_lookup_appointment",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "tags": [
          "Appointments"
        ],
        "security": [
          {
            "oauth2": []
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/PaginatedAppointmentUploadList"
                }
              },
              "text/html": {
                "schema": {
                  "$ref": "#/components/schemas/PaginatedAppointmentUploadList"
                }
              }
            },
            "description": ""
          }
        },
        "summary": "List Appointment Upload"
      },
      "post": {
        "operationId": "appointment_upload_create",
        "description": "Required permissions:\n- Calendar: Appointments\n\n\nThis endpoint is rate-limited to 300 requests per minute.",
        "parameters": [
          {
            "in": "path",
            "name": "parent_lookup_appointment",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "tags": [
          "Appointments"
        ],
        "requestBody": {
          "content": {
            "multipart/form-data": {
              "schema": {
                "$ref": "#/components/schemas/AppointmentUploadRequest"
              }
            }
          },
          "required": true
        },
        "security": [
          {
            "oauth2": []
          }
        ],
        "responses": {
          "201": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AppointmentUpload"
                }
              },
              "text/html": {
                "schema": {
                  "$ref": "#/components/schemas/AppointmentUpload"
                }
              }
            },
            "description": ""
          }
        },
        "summary": "Create Appointment Upload"
      }
    },
    "/appointment/{parent_lookup_appointment}/upload/{id}/": {
      "get": {
        "operationId": "appointment_upload_retrieve",
        "description": "Required permissions:\n- Calendar: Appointments\n\n\nThis endpoint is rate-limited to 300 requests per minute.",
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "schema": {
              "type": "integer"
            },
            "description": "A unique integer value identifying this upload.",
            "required": true
          },
          {
            "in": "path",
            "name": "parent_lookup_appointment",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "tags": [
          "Appointments"
        ],
        "security": [
          {
            "oauth2": []
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AppointmentUpload"
                }
              },
              "text/html": {
                "schema": {
                  "$ref": "#/components/schemas/AppointmentUpload"
                }
              }
            },
            "description": ""
          }
        },
        "summary": "Get Appointment Upload"
      },
      "delete": {
        "operationId": "appointment_upload_destroy",
        "description": "Required permissions:\n- Calendar: Appointments\n\n\nThis endpoint is rate-limited to 300 requests per minute.",
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "schema": {
              "type": "integer"
            },
            "description": "A unique integer value identifying this upload.",
            "required": true
          },
          {
            "in": "path",
            "name": "parent_lookup_appointment",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "tags": [
          "Appointments"
        ],
        "security": [
          {
            "oauth2": []
          }
        ],
        "responses": {
          "204": {
            "description": "No response body"
          }
        },
        "summary": "Delete Appointment Upload"
      }
    },
    "/appointment/{id}/": {
      "get": {
        "operationId": "appointment_retrieve",
        "description": "Required permissions:\n- Calendar: Appointments\n\n\nThis endpoint is rate-limited to 900 requests per minute.",
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "schema": {
              "type": "integer"
            },
            "description": "A unique integer value identifying this appointment.",
            "required": true
          }
        ],
        "tags": [
          "Appointments"
        ],
        "security": [
          {
            "oauth2": []
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AppointmentDetail"
                }
              },
              "text/html": {
                "schema": {
                  "$ref": "#/components/schemas/AppointmentDetail"
                }
              }
            },
            "description": ""
          }
        },
        "summary": "Get Appointment"
      },
      "put": {
        "operationId": "appointment_update",
        "description": "Update Appointment\n\nParameters:\n    - allow_double_booking (bool) - If set to false, or not provided,\n    creating double bookings will not be permitted.\n\nRequired permissions:\n- Calendar: Appointments\n\n\nThis endpoint is rate-limited to 500 requests per minute.",
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "schema": {
              "type": "integer"
            },
            "description": "A unique integer value identifying this appointment.",
            "required": true
          }
        ],
        "tags": [
          "Appointments"
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/AppointmentCreateUpdateRequest"
              }
            },
            "application/x-www-form-urlencoded": {
              "schema": {
                "$ref": "#/components/schemas/AppointmentCreateUpdateRequest"
              }
            },
            "multipart/form-data": {
              "schema": {
                "$ref": "#/components/schemas/AppointmentCreateUpdateRequest"
              }
            }
          },
          "required": true
        },
        "security": [
          {
            "oauth2": []
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AppointmentCreateUpdate"
                }
              },
              "text/html": {
                "schema": {
                  "$ref": "#/components/schemas/AppointmentCreateUpdate"
                }
              }
            },
            "description": ""
          }
        },
        "summary": "Update Appointment"
      },
      "patch": {
        "operationId": "appointment_partial_update",
        "description": "Required permissions:\n- Calendar: Appointments\n\n\nThis endpoint is rate-limited to 500 requests per minute.",
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "schema": {
              "type": "integer"
            },
            "description": "A unique integer value identifying this appointment.",
            "required": true
          }
        ],
        "tags": [
          "Appointments"
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/PatchedAppointmentCreateUpdateRequest"
              }
            },
            "application/x-www-form-urlencoded": {
              "schema": {
                "$ref": "#/components/schemas/PatchedAppointmentCreateUpdateRequest"
              }
            },
            "multipart/form-data": {
              "schema": {
                "$ref": "#/components/schemas/PatchedAppointmentCreateUpdateRequest"
              }
            }
          }
        },
        "security": [
          {
            "oauth2": []
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AppointmentCreateUpdate"
                }
              },
              "text/html": {
                "schema": {
                  "$ref": "#/components/schemas/AppointmentCreateUpdate"
                }
              }
            },
            "description": ""
          }
        },
        "summary": "Patch Appointment"
      }
    },
    "/appointment/{id}/admit/": {
      "post": {
        "operationId": "appointment_admit_create",
        "description": "Required permissions:\n- Calendar: Appointments\n\n\nThis endpoint is rate-limited to 100 requests per minute.",
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "schema": {
              "type": "integer"
            },
            "description": "A unique integer value identifying this appointment.",
            "required": true
          }
        ],
        "tags": [
          "Appointments"
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/AdmitConsultationRequest"
              }
            },
            "application/x-www-form-urlencoded": {
              "schema": {
                "$ref": "#/components/schemas/AdmitConsultationRequest"
              }
            },
            "multipart/form-data": {
              "schema": {
                "$ref": "#/components/schemas/AdmitConsultationRequest"
              }
            }
          },
          "required": true
        },
        "security": [
          {
            "oauth2": []
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AdmitConsultation"
                }
              },
              "text/html": {
                "schema": {
                  "$ref": "#/components/schemas/AdmitConsultation"
                }
              }
            },
            "description": ""
          }
        },
        "summary": "Create Appointment Admit"
      }
    },
    "/appointment/{id}/cancel_appointment/": {
      "post": {
        "operationId": "appointment_cancel_appointment_create",
        "description": "Cancel an appointment\n\nParameters:\n    - external (bool) - Requires the cancellation reason to be\n    set as external and \"Allow client to cancel appointment\"\n    department setting to be enabled.\n    - cancellation_reason (int) - Id for the cancellation reason\n    - cancellation_reason_text (str)\n    - send_cancellation_email (bool) - Send cancellation\n    confirmation email. If `external` is `true`, the email will\n    be sent to both the clinic and the client. If `false` or not\n    provided, email will be sent to the client only.\n\nRequired permissions:\n- Calendar: Appointments\n\n\nThis endpoint is rate-limited to 100 requests per minute.",
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "schema": {
              "type": "integer"
            },
            "description": "A unique integer value identifying this appointment.",
            "required": true
          }
        ],
        "tags": [
          "Appointments"
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/AppointmentCreateUpdateRequest"
              }
            },
            "application/x-www-form-urlencoded": {
              "schema": {
                "$ref": "#/components/schemas/AppointmentCreateUpdateRequest"
              }
            },
            "multipart/form-data": {
              "schema": {
                "$ref": "#/components/schemas/AppointmentCreateUpdateRequest"
              }
            }
          },
          "required": true
        },
        "security": [
          {
            "oauth2": []
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AppointmentCreateUpdate"
                }
              },
              "text/html": {
                "schema": {
                  "$ref": "#/components/schemas/AppointmentCreateUpdate"
                }
              }
            },
            "description": ""
          }
        },
        "summary": "Create Appointment Cancel Appointment"
      }
    },
    "/appointment/{id}/create_advance_payment/": {
      "post": {
        "operationId": "appointment_create_advance_payment_create",
        "description": "Create advance payment\n\nCreate invoice if Appointment's complaint type that has \"advance payment item\"\nlinked to it.\nParameters:\n    - request_hash (str)\n\nRequired permissions:\n- Calendar: Appointments\n\n\nThis endpoint is rate-limited to 100 requests per minute.",
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "schema": {
              "type": "integer"
            },
            "description": "A unique integer value identifying this appointment.",
            "required": true
          }
        ],
        "tags": [
          "Appointments"
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/AppointmentCreateUpdateRequest"
              }
            },
            "application/x-www-form-urlencoded": {
              "schema": {
                "$ref": "#/components/schemas/AppointmentCreateUpdateRequest"
              }
            },
            "multipart/form-data": {
              "schema": {
                "$ref": "#/components/schemas/AppointmentCreateUpdateRequest"
              }
            }
          },
          "required": true
        },
        "security": [
          {
            "oauth2": []
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AppointmentCreateUpdate"
                }
              },
              "text/html": {
                "schema": {
                  "$ref": "#/components/schemas/AppointmentCreateUpdate"
                }
              }
            },
            "description": ""
          }
        },
        "summary": "Create Appointment Create Advance Payment"
      }
    },
    "/appointment/{id}/create_telemedicine_room/": {
      "post": {
        "operationId": "appointment_create_telemedicine_room_create",
        "description": "Create telemedicine room\n\nCreate telemedicine room for the Appointment.\n\nParameters:\n    - request_hash (str)\n    - dont_send_email_confirmation (any) - If given, does not send email\n    - dont_send_sms_confirmation (any) - If given, does not send SMS\n\nRequired permissions:\n- Calendar: Appointments\n\n\nThis endpoint is rate-limited to 100 requests per minute.",
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "schema": {
              "type": "integer"
            },
            "description": "A unique integer value identifying this appointment.",
            "required": true
          }
        ],
        "tags": [
          "Appointments"
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/AppointmentCreateUpdateRequest"
              }
            },
            "application/x-www-form-urlencoded": {
              "schema": {
                "$ref": "#/components/schemas/AppointmentCreateUpdateRequest"
              }
            },
            "multipart/form-data": {
              "schema": {
                "$ref": "#/components/schemas/AppointmentCreateUpdateRequest"
              }
            }
          },
          "required": true
        },
        "security": [
          {
            "oauth2": []
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AppointmentCreateUpdate"
                }
              },
              "text/html": {
                "schema": {
                  "$ref": "#/components/schemas/AppointmentCreateUpdate"
                }
              }
            },
            "description": ""
          }
        },
        "summary": "Create Appointment Create Telemedicine Room"
      }
    },
    "/appointment/{id}/send_appointment_confirmation/": {
      "post": {
        "operationId": "appointment_send_appointment_confirmation_create",
        "description": "Send Appointment confirmation\n\nSend Appointment confirmation for client. Requires Appointment to have client set\nand [request_hash] value received when creating Appointment.\n\nWhen sending confirmations for online booking appointments, a client and patient\nmust first be created via the /onlinebookingclient/ and /onlinebookingpatient/\nendpoints.\n\nParameters:\n    - request_hash (str)\n    - dont_send_email_confirmation (any) - If given, does not send email\n    - dont_send_sms_confirmation (any) - If given, does not send SMS\n\nRequired permissions:\n- Calendar: Appointments\n\n\nThis endpoint is rate-limited to 100 requests per minute.",
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "schema": {
              "type": "integer"
            },
            "description": "A unique integer value identifying this appointment.",
            "required": true
          }
        ],
        "tags": [
          "Appointments"
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/AppointmentCreateUpdateRequest"
              }
            },
            "application/x-www-form-urlencoded": {
              "schema": {
                "$ref": "#/components/schemas/AppointmentCreateUpdateRequest"
              }
            },
            "multipart/form-data": {
              "schema": {
                "$ref": "#/components/schemas/AppointmentCreateUpdateRequest"
              }
            }
          },
          "required": true
        },
        "security": [
          {
            "oauth2": []
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AppointmentCreateUpdate"
                }
              },
              "text/html": {
                "schema": {
                  "$ref": "#/components/schemas/AppointmentCreateUpdate"
                }
              }
            },
            "description": ""
          }
        },
        "summary": "Create Appointment Send Appointment Confirmation"
      }
    },
    "/appointment/check_conflicts/": {
      "get": {
        "operationId": "appointment_check_conflicts_list",
        "description": "Check appointment overlap and shift coverage for a proposed slot.\n\nToken-authenticated REST equivalent of the legacy web-calendar conflict\ncheck at /personnel/appointments/check_conflicts/. Returns the same\nwarning set: overlapping appointments, time outside veterinarian's or\nresource's shift, unbookable shift, slot length mismatch, and the\nmismatching-reason flag.\n\nQuery parameters:\n\n- start (required): ISO 8601 start datetime of the proposed appointment.\n- end (required): ISO 8601 end datetime of the proposed appointment.\n  Must be strictly after start.\n- user_ids: Veterinarian user id (e.g. user_ids=1) or a comma-separated\n  list of ids (e.g. user_ids=1,2,3). Used for shift coverage and\n  per-user overlap checks.\n- resource_ids: Resource id or a comma-separated list of ids. Same\n  shape as user_ids. Used for shift coverage and per-resource overlap\n  checks.\n- complaint_type: Complaint type id; enables the shift-type reason\n  warning when the department setting is on.\n- appointment: Id of the appointment being edited; excluded from the\n  overlap calculation. Omit when checking for a brand-new appointment.\n\nAt least one of user_ids or resource_ids must be provided — the\nendpoint returns HTTP 400 otherwise (an empty scope would always\nreturn \"ok\" without checking anything meaningful).\n\nResponse shape:\n\n- status: \"ok\" when no warnings, otherwise \"error\".\n- errors: List of warning objects. Each has status, message, and\n  (usually) details. Status values, as defined:\n  \"overlapping\", \"outside shift\", \"unbookable shift\",\n  \"prevent_scheduling\".\n- shift_ids: List of shift ids relevant to the slot.\n- mismatching_reason_warning: Boolean. True when the selected complaint\n  type does not match the shift's allowed complaint types.\n\nRequired permissions:\n- Calendar: Appointments\n\n\nThis endpoint is rate-limited to 100 requests per minute.",
        "parameters": [
          {
            "in": "query",
            "name": "appointment",
            "schema": {
              "type": "integer"
            },
            "description": "Id of the appointment being edited; excluded from overlap."
          },
          {
            "in": "query",
            "name": "complaint_type",
            "schema": {
              "type": "integer"
            },
            "description": "Complaint type id used for the shift-type reason warning."
          },
          {
            "in": "query",
            "name": "end",
            "schema": {
              "type": "string"
            },
            "description": "ISO 8601 end datetime of the proposed appointment.",
            "required": true
          },
          {
            "name": "page",
            "required": false,
            "in": "query",
            "description": "A page number within the paginated result set.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "name": "page_size",
            "required": false,
            "in": "query",
            "description": "Number of results to return per page.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "in": "query",
            "name": "resource_ids",
            "schema": {
              "type": "string"
            },
            "description": "Resource id, or comma-separated list of ids (e.g. resource_ids=1 or resource_ids=1,2,3). At least one of user_ids or resource_ids is required."
          },
          {
            "in": "query",
            "name": "start",
            "schema": {
              "type": "string"
            },
            "description": "ISO 8601 start datetime of the proposed appointment.",
            "required": true
          },
          {
            "in": "query",
            "name": "user_ids",
            "schema": {
              "type": "string"
            },
            "description": "Veterinarian user id, or comma-separated list of ids (e.g. user_ids=1 or user_ids=1,2,3). At least one of user_ids or resource_ids is required."
          }
        ],
        "tags": [
          "Appointments"
        ],
        "security": [
          {
            "oauth2": []
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/PaginatedAppointmentCheckConflictsQueryList"
                }
              },
              "text/html": {
                "schema": {
                  "$ref": "#/components/schemas/PaginatedAppointmentCheckConflictsQueryList"
                }
              }
            },
            "description": ""
          }
        },
        "summary": "List Appointment Check Conflicts"
      }
    },
    "/appointment/combined/": {
      "get": {
        "operationId": "appointment_combined_retrieve",
        "description": "Combined endpoint for fetching appointments by email and/or phone\n\nThis endpoint is accessed at /appointment/combined/?email=test@example.com\n&cutoff_date=2025-10-01 or /appointment/combined/?phone=+1234567890\n&cutoff_date=2025-10-01\nReturns all appointments for clients/onlinebookingclients matching the\nemail and/or phone. At least one of email or phone is required.\n\nWhen both email and phone are provided, both must match the same\nclient/onlinebookingclient (AND logic).\n\nThere's three cases:\n- a) client, who booked with a patient (existing pet)\n- b) client, who booked with an onlinebookingpatient (new pet)\n- c) onlinebookingclient, who booked with an onlinebookingpatient\n\nFor online-booking, if auto-matching is enabled, the appointment might\nhave both client and onlinebookingclient. However, client.email might be different\nthan onlinebookingclient.email. Therefore we need to search with both.\n\nRequired permissions:\n- Calendar: Appointments\n\n\nThis endpoint is rate-limited to 100 requests per minute.",
        "parameters": [],
        "tags": [
          "Appointments"
        ],
        "security": [
          {
            "oauth2": []
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/CombinedAppointment"
                }
              },
              "text/html": {
                "schema": {
                  "$ref": "#/components/schemas/CombinedAppointment"
                }
              }
            },
            "description": ""
          }
        },
        "summary": "Get Appointment Combined"
      }
    },
    "/appointment_reminder/": {
      "get": {
        "operationId": "appointment_reminder_list",
        "description": "Required permissions:\n- Calendar: Appointments\n\n\nThis endpoint is rate-limited to 100 requests per minute.",
        "parameters": [
          {
            "in": "query",
            "name": "created__gt",
            "schema": {
              "type": "string"
            },
            "description": "Greater than"
          },
          {
            "in": "query",
            "name": "created__gte",
            "schema": {
              "type": "string"
            },
            "description": "Greater than or equal"
          },
          {
            "in": "query",
            "name": "created__is",
            "schema": {
              "type": "string"
            },
            "description": "Exact match"
          },
          {
            "in": "query",
            "name": "created__is_not",
            "schema": {
              "type": "string"
            },
            "description": "Exclude exact match"
          },
          {
            "in": "query",
            "name": "created__lt",
            "schema": {
              "type": "string"
            },
            "description": "Less than"
          },
          {
            "in": "query",
            "name": "created__lte",
            "schema": {
              "type": "string"
            },
            "description": "Less than or equal"
          },
          {
            "in": "query",
            "name": "created__not_in_range",
            "schema": {
              "type": "string"
            },
            "description": "Exclude range (comma-separated min,max)"
          },
          {
            "in": "query",
            "name": "created__range",
            "schema": {
              "type": "string"
            },
            "description": "Range (comma-separated min,max)"
          },
          {
            "in": "query",
            "name": "modified__gt",
            "schema": {
              "type": "string"
            },
            "description": "Greater than"
          },
          {
            "in": "query",
            "name": "modified__gte",
            "schema": {
              "type": "string"
            },
            "description": "Greater than or equal"
          },
          {
            "in": "query",
            "name": "modified__is",
            "schema": {
              "type": "string"
            },
            "description": "Exact match"
          },
          {
            "in": "query",
            "name": "modified__is_not",
            "schema": {
              "type": "string"
            },
            "description": "Exclude exact match"
          },
          {
            "in": "query",
            "name": "modified__lt",
            "schema": {
              "type": "string"
            },
            "description": "Less than"
          },
          {
            "in": "query",
            "name": "modified__lte",
            "schema": {
              "type": "string"
            },
            "description": "Less than or equal"
          },
          {
            "in": "query",
            "name": "modified__not_in_range",
            "schema": {
              "type": "string"
            },
            "description": "Exclude range (comma-separated min,max)"
          },
          {
            "in": "query",
            "name": "modified__range",
            "schema": {
              "type": "string"
            },
            "description": "Range (comma-separated min,max)"
          },
          {
            "name": "ordering",
            "required": false,
            "in": "query",
            "description": "Which field to use when ordering the results.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "page",
            "required": false,
            "in": "query",
            "description": "A page number within the paginated result set.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "name": "page_size",
            "required": false,
            "in": "query",
            "description": "Number of results to return per page.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "in": "query",
            "name": "scheduling_event__in",
            "schema": {
              "type": "string"
            },
            "description": "Comma-separated list of values"
          },
          {
            "in": "query",
            "name": "scheduling_event__is",
            "schema": {
              "type": "string"
            },
            "description": "Exact match"
          },
          {
            "in": "query",
            "name": "scheduling_event__is_not",
            "schema": {
              "type": "string"
            },
            "description": "Exclude exact match"
          },
          {
            "in": "query",
            "name": "scheduling_event__is_null",
            "schema": {
              "type": "boolean"
            },
            "description": "Is null"
          },
          {
            "in": "query",
            "name": "scheduling_event__not_in",
            "schema": {
              "type": "string"
            },
            "description": "Exclude comma-separated list of values"
          },
          {
            "in": "query",
            "name": "send_datetime__gt",
            "schema": {
              "type": "string"
            },
            "description": "Greater than"
          },
          {
            "in": "query",
            "name": "send_datetime__gte",
            "schema": {
              "type": "string"
            },
            "description": "Greater than or equal"
          },
          {
            "in": "query",
            "name": "send_datetime__is",
            "schema": {
              "type": "string"
            },
            "description": "Exact match"
          },
          {
            "in": "query",
            "name": "send_datetime__is_not",
            "schema": {
              "type": "string"
            },
            "description": "Exclude exact match"
          },
          {
            "in": "query",
            "name": "send_datetime__lt",
            "schema": {
              "type": "string"
            },
            "description": "Less than"
          },
          {
            "in": "query",
            "name": "send_datetime__lte",
            "schema": {
              "type": "string"
            },
            "description": "Less than or equal"
          },
          {
            "in": "query",
            "name": "send_datetime__not_in_range",
            "schema": {
              "type": "string"
            },
            "description": "Exclude range (comma-separated min,max)"
          },
          {
            "in": "query",
            "name": "send_datetime__range",
            "schema": {
              "type": "string"
            },
            "description": "Range (comma-separated min,max)"
          },
          {
            "in": "query",
            "name": "sent_datetime__gt",
            "schema": {
              "type": "string"
            },
            "description": "Greater than"
          },
          {
            "in": "query",
            "name": "sent_datetime__gte",
            "schema": {
              "type": "string"
            },
            "description": "Greater than or equal"
          },
          {
            "in": "query",
            "name": "sent_datetime__is",
            "schema": {
              "type": "string"
            },
            "description": "Exact match"
          },
          {
            "in": "query",
            "name": "sent_datetime__is_not",
            "schema": {
              "type": "string"
            },
            "description": "Exclude exact match"
          },
          {
            "in": "query",
            "name": "sent_datetime__is_null",
            "schema": {
              "type": "boolean"
            },
            "description": "Is null"
          },
          {
            "in": "query",
            "name": "sent_datetime__lt",
            "schema": {
              "type": "string"
            },
            "description": "Less than"
          },
          {
            "in": "query",
            "name": "sent_datetime__lte",
            "schema": {
              "type": "string"
            },
            "description": "Less than or equal"
          },
          {
            "in": "query",
            "name": "sent_datetime__not_in_range",
            "schema": {
              "type": "string"
            },
            "description": "Exclude range (comma-separated min,max)"
          },
          {
            "in": "query",
            "name": "sent_datetime__range",
            "schema": {
              "type": "string"
            },
            "description": "Range (comma-separated min,max)"
          },
          {
            "in": "query",
            "name": "type_code__in",
            "schema": {
              "type": "string"
            },
            "description": "Comma-separated list of values"
          },
          {
            "in": "query",
            "name": "type_code__is",
            "schema": {
              "type": "string"
            },
            "description": "Exact match"
          },
          {
            "in": "query",
            "name": "type_code__is_not",
            "schema": {
              "type": "string"
            },
            "description": "Exclude exact match"
          },
          {
            "in": "query",
            "name": "type_code__is_null",
            "schema": {
              "type": "boolean"
            },
            "description": "Is null"
          },
          {
            "in": "query",
            "name": "type_code__not_in",
            "schema": {
              "type": "string"
            },
            "description": "Exclude comma-separated list of values"
          }
        ],
        "tags": [
          "Appointment reminders"
        ],
        "security": [
          {
            "oauth2": []
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/PaginatedAppointmentReminderList"
                }
              },
              "text/html": {
[...]
